Package net.sf.saxon.s9api

## Class RawDestination

- java.lang.Object
- - net.sf.saxon.s9api.AbstractDestination
  - - net.sf.saxon.s9api.RawDestination

- All Implemented Interfaces:
    `Destination`

      public class RawDestination
      extends AbstractDestination

  An `RawDestination` is a `Destination` that accepts a sequence output by a stylesheet or query and returns it directly as an `XdmValue`, without constructing an XML tree, and without serialization. It corresponds to the serialization option `build-tree="no"`

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.s9api.AbstractDestination

      `helper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawDestination()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the destination, allowing resources to be released.
    `Receiver` | `getReceiver​(PipelineConfiguration pipe, SerializationProperties params)` | Return a Receiver.
    `XdmValue` | `getXdmValue()` | Return the result sequence, after it has been constructed.

    - ### Methods inherited from class net.sf.saxon.s9api.AbstractDestination

      `closeAndNotify, getDestinationBaseURI, onClose, setDestinationBaseURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawDestination

          public RawDestination()

  - ### Method Detail

    - #### getReceiver

          public Receiver getReceiver​(PipelineConfiguration pipe,
                                      SerializationProperties params)

      Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document.
      Parameters:
        `pipe` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
        `params` -
      Returns:
        the Receiver to which events are to be sent.

    - #### close

          public void close()
                     throws SaxonApiException

      Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.
      Throws:
        `SaxonApiException` - if any failure occurs

    - #### getXdmValue

          public XdmValue getXdmValue()

      Return the result sequence, after it has been constructed.

      This method should not be called until the destination has been closed.

      Returns:
        the the result sequence
      Throws:
        `java.lang.IllegalStateException` - if called during the execution of the process that is writing the tree.